Amazonのお得情報
Amazon Dealsは、Amazonの「本日のお得な情報」ページから、期間限定オファー、クーポンバッジ、割引価格を含む構造化データを返します。
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=todays-deals
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | あなたのSERP APIキー(Amazonと共有)。 |
engine | string | yes | amazonである必要があります。 |
type | string | yes | todays-dealsである必要があります。 |
category_id | string | yes | お得な情報の対象範囲を指定するカテゴリID(例:自動車用品の場合は15684181)。 |
domain | string | no | マーケットプレイスのドメイン。デフォルトはamazon.com。 |
device | desktop | mobile | no | シミュレートするデバイス。 |
Example request
Section titled “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=todays-deals&category_id=15684181"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "todays-deals", "category_id": "15684181",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'todays-deals', category_id: '15684181',});
const res = await fetch(url);const data = await res.json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "todays-deals", "category_id": "15684181" }, "category_results": { "product_results": [ { "position": 1, "product_id": "B081T7N948", "title": "Cleaning Gel for Car, Car Cleaning Kit", "link": "/dp/B081T7N948", "price": "$5.94", "price_raw": "$9.99", "currency": "$", "rating": { "rating": "4.1 out of 5 stars", "total_ratings": 27889 }, "deal": "Limited time deal" }, { "position": 2, "product_id": "B07Q6CPQK4", "title": "Govee Interior Lights for Car", "price": "$19.99", "coupon": { "badge_text": "Save $2.00", "description": "$2.00 coupon applied at checkout" } } ] }}